import { createSvgIcon } from "@mui/material/utils";

const OLIPIcon = createSvgIcon(
  <svg
    width="49"
    height="16"
    viewBox="0 0 49 16"
    fill="none"
    xmlns="http://www.w3.org/2000/svg">
    <path
      d="M7.19447 15.5C5.87913 15.5 4.67009 15.1801 3.56734 14.5403C2.47787 13.9006 1.60763 13.0104 0.956605 11.87C0.318868 10.7156 0 9.42211 0 7.98957C0 6.55702 0.318868 5.27051 0.956605 4.13004C1.60763 2.98957 2.47787 2.09944 3.56734 1.45967C4.67009 0.819888 5.87913 0.5 7.19447 0.5C8.5098 0.5 9.7122 0.819888 10.8017 1.45967C11.9044 2.09944 12.768 2.98957 13.3925 4.13004C14.0302 5.27051 14.3491 6.55702 14.3491 7.98957C14.3491 9.42211 14.0302 10.7156 13.3925 11.87C12.7547 13.0104 11.8911 13.9006 10.8017 14.5403C9.7122 15.1801 8.5098 15.5 7.19447 15.5ZM7.19447 12.2455C8.3105 12.2455 9.20068 11.856 9.86499 11.0772C10.5426 10.2983 10.8814 9.26912 10.8814 7.98957C10.8814 6.69611 10.5426 5.6669 9.86499 4.90195C9.20068 4.12309 8.3105 3.73366 7.19447 3.73366C6.06514 3.73366 5.16168 4.11613 4.48409 4.88108C3.81978 5.64604 3.48762 6.6822 3.48762 7.98957C3.48762 9.28303 3.81978 10.3192 4.48409 11.0981C5.16168 11.863 6.06514 12.2455 7.19447 12.2455Z"
      fill="#363636"
    />
    <path
      d="M21.8921 12.6001H26.3563V15.354H18.4842V0.708623H21.8921V12.6001Z"
      fill="#363636"
    />
    <path
      d="M33.6289 0.708623V15.354H30.221V0.708623H33.6289Z"
      fill="#363636"
    />
    <path
      d="M49 5.4235C49 6.2719 48.814 7.05076 48.442 7.76008C48.07 8.45549 47.4987 9.01877 46.7281 9.44993C45.9575 9.88108 45.0009 10.0967 43.8583 10.0967H41.7458V15.354H38.3378V0.708623H43.8583C44.9743 0.708623 45.9176 0.910292 46.6882 1.31363C47.4588 1.71697 48.0368 2.2733 48.4221 2.98261C48.8074 3.69193 49 4.50556 49 5.4235ZM43.5992 7.25939C44.2502 7.25939 44.7351 7.09944 45.054 6.77955C45.3729 6.45967 45.5323 6.00765 45.5323 5.4235C45.5323 4.83936 45.3729 4.38734 45.054 4.06745C44.7351 3.74757 44.2502 3.58762 43.5992 3.58762H41.7458V7.25939H43.5992Z"
      fill="#363636"
    />
  </svg>,
  "OLIP"
);

export default OLIPIcon;
